net.ME1312.SubServers.Bungee.Library

## Class UniversalFile

- java.lang.Object
- - java.io.File
  - - net.ME1312.SubServers.Bungee.Library.UniversalFile

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<java.io.File>

    public class UniversalFile
    extends java.io.File

Universal File Class

Author:
  ME1312
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.io.File

`pathSeparator, pathSeparatorChar, separator, separatorChar`

### Constructor Summary

Constructors
Constructor and Description
`UniversalFile(java.io.File file)` Creates a File Link.
`UniversalFile(java.io.File parent, java.lang.String child)` Creates a File.
`UniversalFile(java.io.File parent, java.lang.String child, char divider)` Creates a File.
`UniversalFile(java.lang.String pathname)` Creates a File Link.
`UniversalFile(java.lang.String pathname, char divider)` Creates a File Link.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getUniversalPath()` Gets the Universal File Path (separated by ':')

### Methods inherited from class java.io.File

`canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURI, toURL`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UniversalFile

    public UniversalFile(java.lang.String pathname)

Creates a File Link. Path names are separated by ':'

Parameters:
  `pathname` - Path name

#### UniversalFile

    public UniversalFile(java.lang.String pathname,
                         char divider)

Creates a File Link. Path names are separated by the divider

Parameters:
  `pathname` - Path name
  `divider` - Divider to use

#### UniversalFile

    public UniversalFile(java.io.File file)

Creates a File Link.

Parameters:
  `file` - File
See Also:
  `File`

#### UniversalFile

    public UniversalFile(java.io.File parent,
                         java.lang.String child)

Creates a File. Path names are separated by the ':'

Parameters:
  `parent` - Parent File
  `child` - Path name
See Also:
  `File`

#### UniversalFile

    public UniversalFile(java.io.File parent,
                         java.lang.String child,
                         char divider)

Creates a File. Path names are separated by the divider

Parameters:
  `parent` - Parent File
  `child` - Path name
  `divider` - Divider to use
See Also:
  `File`

### Method Detail

#### getUniversalPath

    public java.lang.String getUniversalPath()

Gets the Universal File Path (separated by ':')

Returns: